import java.util.List;

public class Dog {
    private String name;
    private String type;
    private Integer age;

    public Dog(String name, String type, Integer age) {
        this.name = name;
        this.type = type;
        this.age = age;
    }

    public Dog(String name, String type) {
        this.name = name;
        this.type = type;
        this.age = null;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        if(age < 0){
            this.age = 0;
        } else {
            this.age = age;
        }
    }

    @Override
    public String toString() {
        return "'"+name+"' is a '"+type+"' and currently '"+age+"' years old.";
    }

    public static List<Dog> getBadDogList() {
        return List.of(
                new Dog("Buddy", "Golden Retriever"),
                new Dog("Max", "German Shepherd", 3),
                new Dog("Bailey", "Labrador Retriever", 4),
                new Dog("Charlie", "", 2),
                new Dog(null, "Poodle", 2),
                new Dog("Daisy", "Bulldog", 4),
                new Dog("", "Boxer", 3),
                new Dog("Sadie", "Dachshund"),
                new Dog("Molly", "Yorkshire Terrier", 7),
                new Dog("Rocky", "Siberian Husky", 1),
                new Dog("Lola", "Shih Tzu", 2),
                new Dog("Toby", "Rottweiler", -2),
                new Dog("Max", "", 2),
                new Dog("Jack", "Border Collie", 3),
                new Dog("", "Doberman Pinscher", 2)
        );
    }
}
